function [A,D]=cubicbspline(x)
    n=ceil(length(x)/2);
    x=[x 0  0 0];
    fa=[1 1/4 1/4 1 -3/16 -3/16];
    for i=1:n
        d1(i)=x(2*i-1)+floor(fa(2)*x(2*i)+fa(3)*x(2*i+2));
    end
    d1=[ d1; 0];
    for i=1:n
        A(i)=x(2*i)+floor(d1(i)+d1(i+1));
    end
    A=[A ;0];
    for i=1:n
        D(i)=d1(i)+floor(fa(5)*A(i)+fa(6)*A(i+1));
    end
    A($)=[];
endfunction
