function [A,D]=two4(x)
    // (2,4) interpolating ()integer wavelet) transform
    fa=[1 -1/2 -1/2];
    fb=[1 -3/64  19/64  19/64 -3/64];
    n=ceil(length(x)/2);
    x=[x  0 0 0];
    for i=1:n
        A(i)=x(2*i)-floor(fa(2)*x(2*i-1)+fa(3)*x(2*i+1));
    end
    A=[0; 0; A;0];
    for i=1:n
        D(i)=x(2*i-1)+floor(fb(2)*A(i)+fb(3)*A(i+1)+fb(3)*A(i+2)+fb(5)*A(i+3));
    end
    A=A(3:$-1);
endfunction
